linux-lts-utopic: 3.16.0-36.48~14.04.1 -proposed tracker

Bug #1444249 reported by Brad Figg on 2015-04-15
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Taihsiang Ho
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-utopic (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-36.48~14.04.1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 15. April 2015 04:01 UTC
kernel-stable-master-bug:1443946
kernel-stable-Prepare-package-end:Wednesday, 15. April 2015 21:05 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 15. April 2015 21:05 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 16. April 2015 19:33 UTC
kernel-stable-Verification-testing-start:Thursday, 16. April 2015 21:02 UTC
kernel-stable-Certification-testing-start:Thursday, 16. April 2015 21:02 UTC
kernel-stable-Security-signoff-start:Thursday, 16. April 2015 21:02 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Thursday, 16. April 2015 21:02 UTC
kernel-stable-Security-signoff-end:Tuesday, 21. April 2015 20:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 21. April 2015 21:01 UTC
kernel-stable-Certification-testing-end:Wednesday, 22. April 2015 14:01 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 29. April 2015 12:22 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 29. April 2015 16:42 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 29. April 2015 18:02 UTC

CVE References

Brad Figg (brad-figg) on 2015-04-15
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux-lts-utopic | 3.16.0-36.48~14.04.1 | trusty-proposed | source
 linux-meta-lts-utopic | 3.16.0.36.28 | trusty-proposed | source
 linux-signed-lts-utopic | 3.16.0-36.48~14.04.1 | trusty-proposed | source

Brad Figg (brad-figg) on 2015-04-16
description: updated
Brad Figg (brad-figg) on 2015-04-16
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2015-04-21
description: updated
Brad Figg (brad-figg) on 2015-04-21
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-04-21
description: updated
Taihsiang Ho (taihsiangho) wrote :

The Hardware Certification team have completed testing this -proposed kernel.
No regressions were observed.

The report is available at:
http://people.canonical.com/~hwcert/sru-testing/trusty/3.16.0-36.48~14.04.1/trusty-3.16-proposed-pass-150422.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2015-04-22
description: updated
Adam Conrad (adconrad) on 2015-04-28
Changed in linux-lts-utopic (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2015-04-29
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (15.5 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-36.48~14.04.1

---------------
linux-lts-utopic (3.16.0-36.48~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1444249
  * Merged back Ubuntu-3.16.0-34.47 security release

linux (3.16.0-35.46) utopic; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1442324

  [ Andy Whitcroft ]

  * [Config] CONFIG_DEFAULT_MMAP_MIN_ADDR needs to match on armhf and arm64
    - LP: #1418140

  [ Chris J Arges ]

  * [Config] CONFIG_PCIEASPM_DEBUG=y
    - LP: #1398544

  [ dann frazier ]

  * [Config] CONFIG_RTC_DRV_EFI=y on arm64
    - LP: #1441291

  [ Upstream Kernel Changes ]

  * Revert "USB: serial: make bulk_out_size a lower limit"
    - LP: #1441317
  * Revert "i2c: core: Dispose OF IRQ mapping at client removal time"
    - LP: #1441317
  * Revert "net: cx82310_eth: use common match macro"
    - LP: #1441317
  * KEYS: request_key() should reget expired keys rather than give
    EKEYEXPIRED
    - LP: #1124250
  * drm/i915/bdw: 3D_CHICKEN3 has write mask bits
    - LP: #1374389
  * drm/i915: call lpt_init_clock_gating on BDW too
    - LP: #1374389
  * drm/i915/bdw: Apply workarounds in render ring init function
    - LP: #1374389
  * drm/i915/bdw: Cleanup pre prod workarounds
    - LP: #1374389
  * drm/i915: Refactor Broadwell PIPE_CONTROL emission into a helper.
    - LP: #1374389
  * drm/i915: Add the WaCsStallBeforeStateCacheInvalidate:bdw workaround.
    - LP: #1374389
  * drm/i915/bdw: Remove BDW preproduction W/As until C stepping.
    - LP: #1374389
  * drm/i915: Rework GPU reset sequence to match driver load & thaw
    - LP: #1384469
  * drm/ast: switch to using CACHED by default for sysram
    - LP: #1420627
  * drm/ast: Add missing entry to dclk_table[]
    - LP: #1420627
  * drm/ast: Add reduced blanking modes for wide screen mode
    - LP: #1420627
  * drm/ast: Try to use MMIO registers when PIO isn't supported
    - LP: #1420627
  * drm/ast: POST chip at probe time if VGA not enabled
    - LP: #1420627
  * drm/ast: Properly initialize P2A base before using it in
    ast_init_3rdtx()
    - LP: #1420627
  * drm/ast: Don't assume DVO enabled means SIL164 on uninitialized chips
    - LP: #1420627
  * drm/ast: Cleanup analog init code path
    - LP: #1420627
  * audit: correctly record file names with different path name types
    - LP: #1439441
  * of: Create of_console_check() for selecting a console specified in
    /chosen
    - LP: #1438585
  * of: Enable console on serial ports specified by /chosen/stdout-path
    - LP: #1438585
  * of: correct of_console_check()'s return value
    - LP: #1438585
  * of: Add bindings for chosen node, stdout-path
    - LP: #1438585
  * of: add optional options parameter to of_find_node_by_path()
    - LP: #1438585
  * of: support passing console options with stdout-path
    - LP: #1438585
  * netfilter: nf_tables: disable preemption when restoring chain counters
    - LP: #1441317
  * netfilter: nf_tables: fix leaks in error path of nf_tables_newchain()
    - LP: #1441317
  * ipvs: rerouting to local clients is not needed anymore
    - LP: #1441317
  * netfilter: nft_compat: fix module refcount...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Released
Chris J Arges (arges) wrote :

Released to updates:
 linux-lts-utopic | 3.16.0-36.48~14.04.1 | trusty-security | source
 linux-lts-utopic | 3.16.0-36.48~14.04.1 | trusty-updates | source
 linux-meta-lts-utopic | 3.16.0.36.28 | trusty-security | source
 linux-meta-lts-utopic | 3.16.0.36.28 | trusty-updates | source
 linux-signed-lts-utopic | 3.16.0-36.48~14.04.1 | trusty-security | source
 linux-signed-lts-utopic | 3.16.0-36.48~14.04.1 | trusty-updates | source

Brad Figg (brad-figg) on 2015-04-29
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers